Web lists-archives.com

Re: WGET missing libraries




On 30/10/2017 16:27, david wrote:
Folks

As of 30 October 2017, a clean new cygwin installation which included 'wget' fails.  The wget program requires cygnette-4 and cyghogweed-4, neither of which were included.  Newer versions (-6) exist, but perhaps wget wasn't recompiled????

I rescued these two files from an previous version of cygwin and wget works fine.

David

Hi David,
for what I see it needs indirectly

 cyghogweed-4.dll
 cygnettle-6.dll

 $ cygcheck wget |grep -v Windows
Found: E:\cygwin64\bin\wget.exe
E:\cygwin64\bin\wget.exe
  E:\cygwin64\bin\cygwin1.dll
  E:\cygwin64\bin\cyggnutls-30.dll
    E:\cygwin64\bin\cyggmp-10.dll
    E:\cygwin64\bin\cyghogweed-4.dll
      E:\cygwin64\bin\cygnettle-6.dll
...

both exist on cygwin

$ cygcheck -p cyghogweed-4.dll
Found 2 matches for cyghogweed-4.dll
libhogweed4-3.3-1 - libhogweed4: Low-level cryptographic library
..

 $ cygcheck -p cygnettle-6.dll
Found 2 matches for cygnettle-6.dll
libnettle6-3.3-1 - libnettle6: Low-level cryptographic library
..

$ cygcheck -p cygnettle-4.dll
Found 4 matches for cygnettle-4.dll
libnettle4-2.7-2 - libnettle4: A cryptographic library that is designed to fit easily in more or less any context (libnettle runtime) (installed binaries and support files)
...


and the setup.ini has the right dependencies.
I suggest to run "cygcheck -c" and reinstall the incomplete packages.

Regards
Marco




--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple